Bugzilla: Decrease our custom CSS differences with upstream
Closed, DeclinedPublic

Description

Finally comparing our skins/contrib/Wikimedia/global.css in https://git.wikimedia.org/tree/wikimedia%2Fbugzilla%2Fmodifications.git to skins/standard/global.css in upstream http://bzr.mozilla.org/bugzilla/4.2/files , we have quite some delta.

The Bugzilla 4.2 upstream code defines various classes which are not even listed in our custom CSS, such as

.field_value .text_input
.field_help_link
div.bz_query_buttons
.arrow_button
input.requestee
.bz_comment_text span.quote
.bz_collapse_expand_comments
.bz_collapse_expand_comments li
tbody.file pre

etc., etc.

My guts tell me this might be the reason for numerous issues, like bug 36064 comment 14 ("input.requestee", anyone?) or maybe even bug 42850. Yeah. :-(

Have I mentioned that I dislike creating custom skins and then not maintaining them anymore?


Version: wmf-deployment
Severity: normal

bzimport added a project: Wikimedia-Bugzilla.Via ConduitNov 22 2014, 2:29 AM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz54823.
Aklapper created this task.Via LegacyOct 1 2013, 12:52 PM
gerritbot added a comment.Via ConduitOct 1 2013, 4:33 PM

Change 86877 had a related patch set uploaded by Aklapper:
Remove ugly background images of buttons when changing search result columns. Can be seen on https://bugzilla.wikimedia.org/colchange.cgi

https://gerrit.wikimedia.org/r/86877

Aklapper added a comment.Via ConduitOct 1 2013, 4:39 PM

After looking at this a bit more this might be false alarm to some extend, as we load CSS in this order:

<link href="skins/standard/global.css" rel="alternate stylesheet"
title="Classic">
<link href="skins/standard/global.css" rel="stylesheet" type="text/css" >
<link href="skins/contrib/Wikimedia/global.css" rel="stylesheet"
type="text/css" title="Wikimedia">

Still some cleanup should be done, hence expect some more patches to come...

gerritbot added a comment.Via ConduitOct 2 2013, 10:30 AM

Change 87053 had a related patch set uploaded by Aklapper:
Italicize bug numbers of unconfirmed tickets in "Blocks/Depends on" field.

https://gerrit.wikimedia.org/r/87053

gerritbot added a comment.Via ConduitOct 2 2013, 10:50 AM

Change 87057 had a related patch set uploaded by Aklapper:
Update CSS for duplicates.cgi from upstream

https://gerrit.wikimedia.org/r/87057

gerritbot added a comment.Via ConduitOct 2 2013, 12:29 PM

Change 87067 had a related patch set uploaded by Aklapper:
Remove custom voting.css

https://gerrit.wikimedia.org/r/87067

gerritbot added a comment.Via ConduitOct 2 2013, 1:01 PM

Change 87068 had a related patch set uploaded by Aklapper:
Remove unused panel.css

https://gerrit.wikimedia.org/r/87068

gerritbot added a comment.Via ConduitOct 2 2013, 1:16 PM

Change 87071 had a related patch set uploaded by Aklapper:
Delete unused create_attachment.css

https://gerrit.wikimedia.org/r/87071

gerritbot added a comment.Via ConduitOct 2 2013, 1:32 PM

Change 87067 merged by Dzahn:
Remove custom voting.css

https://gerrit.wikimedia.org/r/87067

gerritbot added a comment.Via ConduitOct 2 2013, 1:33 PM

Change 87068 merged by Dzahn:
Remove unused panel.css

https://gerrit.wikimedia.org/r/87068

gerritbot added a comment.Via ConduitOct 2 2013, 1:34 PM

Change 87071 merged by Dzahn:
Delete unused create_attachment.css

https://gerrit.wikimedia.org/r/87071

gerritbot added a comment.Via ConduitOct 2 2013, 1:41 PM

Change 86877 merged by Dzahn:
Remove ugly background images of buttons when changing search result columns. Can be seen on https://bugzilla.wikimedia.org/colchange.cgi

https://gerrit.wikimedia.org/r/86877

Dzahn added a comment.Via ConduitOct 2 2013, 1:43 PM

the ugly buttons are gone:

https://bugzilla.wikimedia.org/colchange.cgi

and the unused files have been deleted in prod

gerritbot added a comment.Via ConduitOct 7 2013, 10:59 AM

Change 87057 merged by Dzahn:
Remove custom CSS for duplicates.cgi

https://gerrit.wikimedia.org/r/87057

Aklapper added a comment.Via ConduitOct 15 2013, 12:18 AM

No delta at all (delete our custom copy or sync):

  • dependency-tree.css
  • editusers.css
  • params.css
  • show_multiple.css
  • summarize-time.css

Smaller irrelevant changes, either sync or delete our custom copy:

  • admin.css

Files do not exist in upstream, need to investigate:

  • bug_activity.css
  • help.css
  • release-notes.css
  • skins.tgz
  • vector.css
  • yui/calendar.css

Quite some diff:

  • buglist.css
  • global.css
  • IE-fixes.css
  • index.css
  • search_form.css
  • show_bug.css
gerritbot added a comment.Via ConduitOct 15 2013, 11:02 AM

Change 89795 had a related patch set uploaded by Aklapper:
Remove custom CSS files identical to upstream standard CSS files.

https://gerrit.wikimedia.org/r/89795

Aklapper added a comment.Via ConduitOct 15 2013, 11:11 AM

(In reply to comment #15)

Remove custom CSS files identical to upstream standard CSS files.
https://gerrit.wikimedia.org/r/89795

This kills the following files:

  • dependency-tree.css and related images
  • editusers.css
  • params.css
  • show_multiple.css
  • summarize-time.css
  • admin.css
gerritbot added a comment.Via ConduitOct 15 2013, 11:19 AM

Change 89800 had a related patch set uploaded by Aklapper:
Remove unused release-notes.css

https://gerrit.wikimedia.org/r/89800

gerritbot added a comment.Via ConduitOct 15 2013, 9:44 PM

Change 87053 merged by Dzahn:
Italicize bug numbers of unconfirmed tickets in "Blocks/Depends on" field.

https://gerrit.wikimedia.org/r/87053

gerritbot added a comment.Via ConduitOct 15 2013, 10:01 PM

Change 89800 merged by Dzahn:
Remove unused release-notes.css

https://gerrit.wikimedia.org/r/89800

gerritbot added a comment.Via ConduitOct 16 2013, 5:45 PM

Change 89795 merged by Dzahn:
Remove custom CSS files identical to upstream standard CSS files.

https://gerrit.wikimedia.org/r/89795

gerritbot added a comment.Via ConduitOct 24 2013, 9:49 PM

Change 91776 had a related patch set uploaded by Aklapper:
Delete unused custom bug_activity.css file

https://gerrit.wikimedia.org/r/91776

gerritbot added a comment.Via ConduitOct 24 2013, 9:59 PM

Change 91777 had a related patch set uploaded by Aklapper:
Remove unused custom help.css file

https://gerrit.wikimedia.org/r/91777

gerritbot added a comment.Via ConduitOct 24 2013, 10:04 PM

Change 91780 had a related patch set uploaded by Aklapper:
Remove custom skins.tgz file

https://gerrit.wikimedia.org/r/91780

gerritbot added a comment.Via ConduitOct 24 2013, 10:11 PM

Change 91781 had a related patch set uploaded by Aklapper:
Remove unused custom yui/calendar.css and yui/sprite.png

https://gerrit.wikimedia.org/r/91781

Aklapper added a comment.Via ConduitOct 24 2013, 10:14 PM

Quick update after today's cleanup patches above so I don't lose track.
What's left to sort out:

Files which do not exist in upstream:

  • vector.css

Quite some diff:

  • buglist.css
  • global.css
  • IE-fixes.css
  • index.css
  • search_form.css
  • show_bug.css
Aklapper added a comment.Via ConduitOct 24 2013, 10:39 PM
  • buglist.css

Reviewed and tested: Can stay as is, no needless definitions in there. Yay.

Aklapper added a comment.Via ConduitOct 24 2013, 10:42 PM
  • search_form.css

Can stay as is. only one definition for summary_field which makes sense.

gerritbot added a comment.Via ConduitOct 24 2013, 10:53 PM

Change 91792 had a related patch set uploaded by Aklapper:
Clean up custom index.css

https://gerrit.wikimedia.org/r/91792

gerritbot added a comment.Via ConduitOct 24 2013, 11:03 PM

Change 91794 had a related patch set uploaded by Aklapper:
Delete custom IE-fixes.css

https://gerrit.wikimedia.org/r/91794

gerritbot added a comment.Via ConduitOct 24 2013, 11:37 PM

Change 91801 had a related patch set uploaded by Aklapper:
Clean up custom show_bug.css

https://gerrit.wikimedia.org/r/91801

Aklapper added a comment.Via ConduitOct 24 2013, 11:53 PM

Stopping for today. Left to sort out:

  • vector.css
  • global.css
gerritbot added a comment.Via ConduitOct 25 2013, 10:21 AM

Change 91839 had a related patch set uploaded by Aklapper:
Remove obsolete CSS definitions.

https://gerrit.wikimedia.org/r/91839

gerritbot added a comment.Via ConduitOct 25 2013, 4:42 PM

Change 91776 merged by Dzahn:
Delete unused custom bug_activity.css file

https://gerrit.wikimedia.org/r/91776

gerritbot added a comment.Via ConduitOct 25 2013, 4:44 PM

Change 91777 merged by Dzahn:
Remove unused custom help.css file

https://gerrit.wikimedia.org/r/91777

gerritbot added a comment.Via ConduitOct 25 2013, 4:45 PM

Change 91780 merged by Dzahn:
Remove custom skins.tgz file

https://gerrit.wikimedia.org/r/91780

gerritbot added a comment.Via ConduitOct 25 2013, 5:14 PM

Change 91781 merged by Dzahn:
Remove unused custom yui/calendar.css and yui/sprite.png

https://gerrit.wikimedia.org/r/91781

gerritbot added a comment.Via ConduitOct 25 2013, 5:17 PM

Change 91794 merged by Dzahn:
Delete custom IE-fixes.css

https://gerrit.wikimedia.org/r/91794

gerritbot added a comment.Via ConduitOct 25 2013, 7:33 PM

Change 91839 merged by Dzahn:
Remove obsolete CSS definitions.

https://gerrit.wikimedia.org/r/91839

gerritbot added a comment.Via ConduitNov 15 2013, 7:11 PM

Change 91792 merged by Dzahn:
Sync our custom index.css with upstream

https://gerrit.wikimedia.org/r/91792

gerritbot added a comment.Via ConduitNov 15 2013, 7:15 PM

Change 91801 merged by Dzahn:
Clean up custom show_bug.css

https://gerrit.wikimedia.org/r/91801

Aklapper closed this task as "Declined".Via WebNov 23 2014, 11:40 PM

Wikimedia has migrated from Bugzilla to Phabricator. Learn more about it here: https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla - This task does not make sense anymore in the concept of Phabricator, hence closing as declined.

Add Comment